Tag: build.gradle

Obtenga el tipo de generación gradle en el sabor del producto

Necesito crear diferentes nombres de aplicación dependiendo del sabor del producto utilizado. Si bien esto fue fácil simplemente estableciendo un recurso de cadena, ya no puedo hacer eso porque cuando la aplicación se carga en hockeyapp el nombre de la aplicación se establece como '@ string / app_name' en lugar del valor de app_name. He […]

Android versión sdk en gradle y manifiesto

Empecé a usar Android Studio hace unas semanas y hay una pregunta que tengo, en el archivo build.gradle podemos establecer la minSdkVersion como podemos en el manifiesto, pero ¿uno anula al otro? Si ponemos diferentes valores en gradle y en el manifiesto cuál es la consecuencia?

El proyecto Biblioteca de Android no puede importar la clase R de otro proyecto de biblioteca al utilizar gradle para compilar en la línea de comandos

Tengo esta estructura para mi proyecto androide: ProjectDir settings.gradle MyApp(depends on LibraryA and LibraryB) –>build.gradle –>All the other android code LibraryA (depends on LibraryB) –>build.gradle –>All the other android code LibraryB (Has lots of resources that are used in LibraryA and MyApp) –>build.gradle –>All the other android code Puedo compilar la aplicación android muy bien […]

La ejecución falló para la tarea 'app: prepareDebugAndroidTestDependencies'

Estoy tratando de crear pruebas de interfaz de usuario para mi aplicación de Android en Android Studio. El problema es que no puedo ejecutarlos. Recibo el mensaje: La ejecución falló para la tarea 'app: prepareDebugAndroidTestDependencies' que no pude encontrar de qué se trata. Cuando ejecuto mi aplicación, se inicia perfectamente, pero cuando intento ejecutar pruebas […]

La tarea Gradle no se ejecuta en Android Studio

He intentado que una tarea de gradle se ejecute para un módulo lib 'lib1' en un proyecto de Android Studio. Debe ejecutarse con el comando 'gradlew assembleDebug' o 'gradlew assemble' pero nunca se ejecuta. task copy(type: Copy, dependsOn: ':lib1:assembleDebug') << { println "copying" } He intentado una tarea más simple sin dependencia y nunca parece […]

Firma de android apk con gradle-experimental: 0.2.0

He modificado con éxito mi build.gradle para trabajar con gradle-experimental sin embargo al intentar agregar un bloque de signedConfigs falla. Seguí las instrucciones de http://tools.android.com/tech-docs/new-build-system/gradle-experimental como mejor puedo pero siempre consigo el siguiente error: Se ha producido un problema al configurar el proyecto ': app'. Las siguientes reglas de modelo están desvinculadas: model.android.signingConfigs> named (release) […]

Cómo solucionar el problema de incompatibilidad de Gradle al importar un proyecto de muestra de Android

Android Studio (0.5.3) me está volviendo loco. Nunca he tenido problemas serios con Eclipse y ADT. Android Studio es otra historia: no he podido conseguir un solo proyecto para construir correctamente con él. Por lo tanto, estoy tratando de importar un proyecto de muestra de Android (que supongo que tiene la configuración correcta Gradle y […]

Relación entre la versión de gradle y la versión de la herramienta de compilación de gradle

Soy nuevo al gradle y tengo 2 preguntas: Gradle en sí es una herramienta de construcción, así que ¿por qué es la necesidad de Android gradle herramienta com.android.tools.build:gradle:0.7.+ en el script? ¿Cuál es la relación entre la versión de gradle instalada (digamos 1.9) y la versión de la herramienta gradle de Android, como 0.7. + […]

LintOptions para la herramienta de compilación experimental de Gradle en Android Studio 1.3

Como Android Studio 1.3 viene con soporte NDK, he intentado convertir mis scripts Gradle (build.gradle app / build.gradle y gradle-wrapper.properties) siguiendo este enlace http://tools.android.com/tech-docs/new -build-system / gradle-experimental . Sin embargo, no puedo encontrar ninguna orientación sobre lintOptions tanto del tutorial como del repositorio de ejemplo ndk https://github.com/googlesamples/android-ndk Mi aplicación / build.gradle apply plugin: 'com.android.model.application' model […]

Añadir una biblioteca Android-studio

Estoy teniendo problemas cuando agrego achartengine-1.1.0.jar en mi proyecto. Cuando añado compile file('libs.achartengine-1.1.0.jar') En build.gradle, Gradle muestra el siguiente mensaje: Gradle: A problem occurred evaluating project ':NativeCharts'. Cannot convert the provided notation to an object of type Dependency: /home/***/NativeChartsProject/NativeCharts/libs/achartengine-1.1.0.jar. The following types/formats are supported: – Instances of Dependency. – Strings/CharSequences, eg 'org.gradle:gradle-core:1.0'. – Maps, eg […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.